dart_internal 0.1.10

This package is not intended for wide use. It provides a temporary API to solve the problem: "Given an object some generic type A, how do I construct an instance of generic type B with the same type a

The latest prerelease was 0.1.12-nullsafety on Sep 24, 2020.

Stable versions of dart_internal

Version Uploaded Documentation Archive
0.1.10 Jul 30, 2020 Go to the documentation of dart_internal 0.1.10 Download dart_internal 0.1.10 archive
0.1.9 Mar 26, 2020 Go to the documentation of dart_internal 0.1.9 Download dart_internal 0.1.9 archive
0.1.8 Dec 6, 2019 Go to the documentation of dart_internal 0.1.8 Download dart_internal 0.1.8 archive
0.1.7 Sep 13, 2019 Go to the documentation of dart_internal 0.1.7 Download dart_internal 0.1.7 archive
0.1.6 Aug 14, 2019 Go to the documentation of dart_internal 0.1.6 Download dart_internal 0.1.6 archive
0.1.5 Jun 21, 2019 Go to the documentation of dart_internal 0.1.5 Download dart_internal 0.1.5 archive
0.1.4 Apr 22, 2019 Go to the documentation of dart_internal 0.1.4 Download dart_internal 0.1.4 archive
0.1.3 Feb 26, 2019 Go to the documentation of dart_internal 0.1.3 Download dart_internal 0.1.3 archive
0.1.2 Oct 15, 2018 Go to the documentation of dart_internal 0.1.2 Download dart_internal 0.1.2 archive
0.1.1 Mar 1, 2018 Go to the documentation of dart_internal 0.1.1 Download dart_internal 0.1.1 archive
0.1.0 Feb 28, 2018 Go to the documentation of dart_internal 0.1.0 Download dart_internal 0.1.0 archive

Prerelease versions of dart_internal

Version Uploaded Documentation Archive
0.1.12-nullsafety Sep 24, 2020 Go to the documentation of dart_internal 0.1.12-nullsafety Download dart_internal 0.1.12-nullsafety archive
0
likes
10
pub points
93%
popularity

This package is not intended for wide use. It provides a temporary API to solve the problem: "Given an object some generic type A, how do I construct an instance of generic type B with the same type argument(s)?" This is necessary in a few rare places in order to migrate existing code to Dart 2's stronger type system. Eventually, the hope is to have direct language support for solving this problem but we don't have time to get that into 2.0, so this package is provided as a temporary workaround. We will very likely remove support for this in a later version of Dart.

Repository (GitHub)
View/report issues

Uploaders

rnystrom@google.com
nshahan@google.com

License

BSD (LICENSE)

More

Packages that depend on dart_internal